<div class="title">
	<h5>{#mod_title#}</h5>
</div>


<div class="widget" style="margin-top: 0px;">
	<div class="body">
        {#mod_description#}
	</div>
</div>


<div class="breadCrumbHolder module">
	<div class="breadCrumb module">
		<ul>
			<li class="firstB"><a href="index.php" title="{#MAIN_PAGE#}">{#MAIN_PAGE#}</a></li>
			<li><a href="index.php?do=modules&cp={$sess}">{#MODULES_SUB_TITLE#}</a></li>
			<li><a href="index.php?do=modules&action=modedit&mod=workdocs&moduleaction=1&cp={$sess}">{#mod_title#}</a></li>
			<li>{#mod_run_breadcrumbs#}</li>
			<li>{$work.title}</li>
		</ul>
	</div>
</div>


<div id="blockContinue" class="widget first mainForm" {if $work.last_count == 0}style="display: none;"{/if}>
	<div class="rowElem">
		<div id="btnBlockNew" class="saveBtn" {if !$diff}style="display: none;"{/if}>
			<button class="button redBtn btnStartNew" style="width: 100%; display: inline-block; line-height: 30px; height: 30px;">{#mod_run_btn_repeat#}</button>
		</div>

		<div id="btnBlockWork" class="saveBtn" {if $diff}style="display: none;"{/if}>
			<button class="button blueBtn btnStart" style="width: 50%; display: inline-block; line-height: 30px; height: 30px;">{#mod_run_btn_continue#}</button>
			<button class="button redBtn btnStartNew" style="width: 50%; display: inline-block; line-height: 30px; height: 30px;">{#mod_run_btn_repeat#}</button>
		</div>
	</div>
</div>

<div id="blockRun" class="widget first mainForm"{if $work.last_count > 0}style="display: none;"{/if}>
	<div class="rowElem">
		<div class="saveBtn">
			<button class="button blueBtn btnStartNew" style="width: 100%; display: block; line-height: 30px; height: 30px;">{#mod_run_btn_start#}</button>
		</div>
	</div>
</div>


<div id="stepBlock" data-work="{$work_id}" data-run="{$work.type}" class="widget first">
	<div class="head">
		<h5 class="iFrames">{#mod_run_header_progress#}</h5>
		<div class="num hideBtn" {if ! $work_id}style="display: none"{/if}>
			<a class="basicNum topDir" href="index.php?do=modules&action=modedit&mod=workdocs&moduleaction=edit&rubric_id={$rubric_id}&work_id={$work_id}&cp={$sess}">{#mod_run_header_btn_sett#}</a>
		</div>
	</div>

	<div class="body">

		<h6 id="header">{#mod_run_header_search_docs#}</h6>

		<div>
			{#mod_run_search_finded#} <span id="allRecords">{$count}</span>
			<br>
			{#mod_run_search_ready#} <span id="readyRecords">{if $work.last_count}{$work.last_count - 1}{else}0{/if}</span>
		</div>

		<div id="progressbar" style="display: block; clear: both; margin-top: 10px;"></div>

		<div id="procents" style="text-align: center; margin-top: 10px; font-weight: 600;">0%</div>

		<div id="delay" class="highlight yellow" style="text-align: center; margin-top: 10px;">
			{#mod_run_search_no_data#}
		</div>

		<div id="saveTime" style="text-align: center; margin-top: 10px;"></div>

		<div id="runData" data-rubric-id="{$rubric_id}" data-work-id="{$work_id}" data-records-counts="{$count}" data-records-start="{if $work.last_count}{$work.last_count - 1}{else}0{/if}"></div>
	</div>
	<div class="rowElem logDiv" style="display: none;">
		<div class="saveBtn">
			<a href="cp={$sess}" class="button greyishBtn btnLogs" style="text-align: center; width: 100%; display: block; line-height: 20px; height: 20px;">{#mod_run_btn_see_log#}</a>
		</div>
	</div>
</div>

<div id="showLog" class="widget first" {if $work.last_count == 0}style="display: none"{/if}>
	<div class="rowElem">
		<div class="saveBtn">
			<a href="index.php?do=modules&action=modedit&mod=workdocs&moduleaction=log&work_id={$work_id}&cp={$sess}" class="button greyishBtn btnLogs" style="text-align: center; width: 100%; display: block; line-height: 20px; height: 20px; padding: 5px 0;">{#mod_run_btn_see_log#}</a>
		</div>
	</div>
</div>

{if $work.show_logs}
<div id="stepDocs" class="widget first">
	<div class="head">
		<h5 class="iFrames">{#mod_run_tbl_log#}</h5>
	</div>

	<table id="logTable" cellpadding="0" cellspacing="0" width="100%" class="tableStatic mainForm">
		<col width="30" />
		<col />
		<col width="450" />
		<thead>
			<tr>
				<td>{#mod_run_tbl_log_id#}</td>
				<td>{#mod_run_tbl_log_name#}</td>
				<td>{#mod_run_tbl_log_log#}</td>
			</tr>
		</thead>
		{if $work.last_count}
		<tbody>

		</tbody>
		{else}
		<tr id="noRecords">
			<td align="center" colspan="3">
				<ul class="messages">
					<li class="highlight yellow">{#mod_run_tbl_log_log_no#}</li>
				</ul>
			</td>
		</tr>
		{/if}
	</table>
</div>
{/if}

<script type="text/javascript" src="{$ABS_PATH}modules/workdocs/js/workdocs.js"></script>

{literal}
<script type="text/javascript" language="JavaScript">
	var allRecords = $('#allRecords').html(), // Общее кол-во
		readyRecords = $('#readyRecords'), // Выполнено записей
		logTable = $('#logTable'), // Таблица с логами
		saveTime = $('#saveTime'), // Время обработки
		runData = $('#runData'), // Все для запуска
		progressbar = $('#progressbar'), // Прогрессбар
		procents = $('#procents'), // Прогрессбар
		limitSql = parseInt(runData.data('records-start'));

	$(document).ready(function() {
		"use strict";
		ModuleWorkDocs.init();
		ModuleWorkDocs.run();
	});
</script>
{/literal}
