<?php

	/**
	 * AVE.cms - Catalog PRO
	 *
	 * @package AVE.cms
	 * @subpackage modules/catalog
	 * @filesource
	 */

	if(! defined('BASE_DIR'))
		exit;


	//=======================================================
	// The control module in the admin panel
	//=======================================================
	if (
		defined('ACP')
		&& (isset($_REQUEST['moduleaction']) && ! empty($_REQUEST['moduleaction']))
		&& (isset($_REQUEST['mod']) && $_REQUEST['mod'] == 'workdocs')
	)
	{
		global $AVE_DB, $AVE_Template;

		require_once(BASE_DIR . '/modules/workdocs/class/class.php');

		new WorkDocs;

		WorkDocs::$tpl_dir = BASE_DIR . '/modules/workdocs/admin/';

		$lang_file = BASE_DIR . '/modules/workdocs/lang/' . $_SESSION['admin_language'] . '.txt';

		$AVE_Template->config_load($lang_file, 'admin');

		//-- Actions
		switch ($_REQUEST['moduleaction'])
		{
			// Заглавная страница
			case '1':
				WorkDocs::mainPage();
				break;

			//
			case 'new':
				WorkDocs::editWork();
				break;

			//
			case 'edit':
				WorkDocs::editWork();
				break;

			//
			case 'save':
				WorkDocs::saveWork();
				break;

			//
			case 'del':
				WorkDocs::delWork();
				break;

			//
			case 'run':
				WorkDocs::runWork();
				break;

			//
			case 'log':
				WorkDocs::logWork();
				break;

			//
			case 'json':
				WorkDocs::logJson();
				break;

			//
			case 'step':
				WorkDocs::stepOne();
				break;

			//
			case 'clear':
				WorkDocs::clearWork();
				break;

			//
			case 'all':
				WorkDocs::clearWorks();
				break;
		}
	}